aboutsummaryrefslogtreecommitdiff
path: root/recipes/eglibc/eglibc_2.11.bb
diff options
context:
space:
mode:
authorChris Larson <chris_larson@mentor.com>2010-10-27 17:35:45 -0700
committerChris Larson <chris_larson@mentor.com>2010-11-02 18:39:03 -0700
commitc575ee87388a5bb679293b54a00bb784efbfab92 (patch)
tree65397221732f56b6f81ebe973f9a7ae7ba2b4212 /recipes/eglibc/eglibc_2.11.bb
parenta6885693d3685f595e307c79e9925893fb9f8a0d (diff)
downloadopenembedded-c575ee87388a5bb679293b54a00bb784efbfab92.zip
openembedded-c575ee87388a5bb679293b54a00bb784efbfab92.tar.gz
openembedded-c575ee87388a5bb679293b54a00bb784efbfab92.tar.bz2
gnu-configize fixupskergoth/autotools
Signed-off-by: Chris Larson <chris_larson@mentor.com>
Diffstat (limited to 'recipes/eglibc/eglibc_2.11.bb')
-rw-r--r--recipes/eglibc/eglibc_2.11.bb7
1 files changed, 3 insertions, 4 deletions
diff --git a/recipes/eglibc/eglibc_2.11.bb b/recipes/eglibc/eglibc_2.11.bb
index 3763124..522f079 100644
--- a/recipes/eglibc/eglibc_2.11.bb
+++ b/recipes/eglibc/eglibc_2.11.bb
@@ -69,13 +69,12 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
find ${S} -name "configure" | xargs touch
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \